#             Perforce Defect Tracking Integration Project
#              <http://www.ravenbrook.com/project/p4dti/>
#
#            P4DTI_EXCEPTIONS.PY -- Project specific exception classes
#
#             Robert Cowham, Vaccaperna Systems Limited, 2004-06-28
#
#
# Project specific exception classes.
#

# RecordLocked - effectively means retry poll
class RecordLockedError(Exception):
    def __init__(self, value):
        self.value = value
    def __str__(self):
        return str(self.value)

# InvalidStateTransition - invalid state - record will have been reset
class InvalidStateTransition(Exception):
    def __init__(self, value):
        self.value = value
    def __str__(self):
        return str(self.value)

# P4ServerDown - failed to talk to server
class P4ServerDown(Exception):
    def __init__(self, value):
        self.value = value
    def __str__(self):
        return str(self.value)
        
# A. REFERENCES
#
#
#
# C. COPYRIGHT AND LICENCE
#
# This file is copyright (c) 2004 Vaccaperna Systems Ltd.  All
# rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1.  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
# 2.  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
# TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
#
#
# $Id: //info.ravenbrook.com/project/p4dti/version/1.5/code/replicator/teamtrack.py#3 $
