#             Perforce Defect Tracking Integration Project
#              <http://www.ravenbrook.com/project/p4dti/>
#
#  REPLICATE_ISSUE_LIST.PY -- Replicate specified issues from Tracker to P4
#
#             Robert Cowham, Vaccaperna Systems Limited, 2005-05-04
#
#
# 1. INTRODUCTION
#
# This Python script replicates a list of issues to p4.
# It expects a single file to be specified as input parameter.
#
# The intended readership of this document is project developers.
#
# This document is not confidential.

import sys

def read_bugs():
    if len(sys.argv) != 2:
        raise "Need to specify as parameter a file containg a comma seperated list of ids"
    id_file = open(sys.argv[1])
    bugs = []
    for line in id_file:
        b = line[:-1].split(",")
        try:
            b = map(int, filter(lambda x: x not in ['', ' '], b))
        except:
            print b
            raise
        bugs.extend(b)
    id_file.close()
    return bugs

if __name__ == '__main__':
    bug_list = read_bugs()
    from init import r
#    print bug_list
    r.replicate_all_dt_to_p4(bug_list)


# A. REFERENCES
#
#
# B. DOCUMENT HISTORY
#
#
#
# C. COPYRIGHT AND LICENSE
#
# This file is copyright (c) 2004 Vaccaperna Systems Ltd.  All
# rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1.  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
# 2.  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
# TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
#
#
# $Id: //info.ravenbrook.com/project/p4dti/version/2.1/code/replicator/check.py#2 $
